using Newtonsoft.Json;

using System.Text.Json.Serialization;

namespace CloudGaming.DtoModel.JY;

/// <summary>
/// 排队信息
/// </summary>
public class PlayQueueInfoModel
{
    /// <summary>
    /// 排队id
    /// </summary>
    [JsonProperty("play_queue_id")]
    [JsonPropertyName("play_queue_id")]
    public int PlayQueueId { get; set; }


    /// <summary>
    /// 前面还有多少人
    /// </summary>
    [JsonProperty("queue_pos")]
    [JsonPropertyName("queue_pos")]
    public int QueuePos { get; set; }

    [JsonProperty("level")]
    [JsonPropertyName("level")]
    public int Level { get; set; }
  
}